﻿
Public Class AddingInmates
    Dim myconnection As String = ("Provider=Microsoft.ACE.OLEDB.12.0;Data Source=" & Application.StartupPath & "\dbfinalsystemJMS.accdb")
    Dim arrImage As Byte()



    Private Sub btninmload_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnload.Click

        dt = New DataTable
        Try
            sql = "SELECT * FROM tbladdinmates"
            conn.Open()
            With cmd
                .CommandText = sql
                .Connection = conn
            End With
            da.SelectCommand = cmd
            da.Fill(dt)
            dtglistinmates.DataSource = dt
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            conn.Close()
        End Try


    End Sub

    Private Sub btninmsave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnsave.Click
        Try
            Dim mstream As New System.IO.MemoryStream
            PictureBox1.Image.Save(mstream, System.Drawing.Imaging.ImageFormat.Jpeg)
            arrImage = mstream.GetBuffer
            Dim filesize As UInt32
            filesize = mstream.Length
            mstream.Close()
            conn.ConnectionString = myconnection
            conn.Open()
            sql = "Insert Into tbladdinmates(CASENUMBER,CASENAME,FULLNAME,DATEBIRTH,AGE,GENDER,ADDRESS,STATUS,studimg)" & _
            "Values (@CASENUMBER,@CASENAME,@FULLNAME,@DATEBIRTH,@AGE,@GENDER,@ADDRESS,@STATUS,@studimg)"
            cmd.Connection = conn
            cmd.CommandText = sql
            cmd.Parameters.AddWithValue("@CASENUMBER", txtcaseno.Text)
            cmd.Parameters.AddWithValue("@CASENAME", txtcasename.Text)
            cmd.Parameters.AddWithValue("@FULLNAME", txtfullname.Text)
            cmd.Parameters.AddWithValue("@DATEBIRTH", DateTimePicker1.Text)
            cmd.Parameters.AddWithValue("@AGE", txtage.Text)
            cmd.Parameters.AddWithValue("@GENDER", Label12.Text)
            cmd.Parameters.AddWithValue("@ADDRESS", txtaddress.Text)
            cmd.Parameters.AddWithValue("@STATUS", cmbstatus.Text)
            cmd.Parameters.AddWithValue("@studimg", arrImage)

            Dim R As Integer
            R = cmd.ExecuteNonQuery
            If R > 0 Then
                MsgBox("NEW INMATES HAS BEEN SAVED")
                conn.Close()
                Call btninmload_Click(sender, e)
                txtcaseno.Clear()
                txtcasename.Clear()
                txtfullname.Clear()

                txtaddress.Clear()
                txtage.Clear()
                cmbstatus.Text = Nothing
                radmale.Checked = Nothing
                radfemale.Checked = Nothing
                Me.Text = Nothing
                PictureBox1.Image = Nothing
            Else
                MsgBox("NO INMATES HAS BEEN SAVED")

            End If
            da.Dispose()
            conn.Close()

        Catch ex As Exception

        End Try

    End Sub

    Private Sub radinmmale_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radmale.CheckedChanged
        If radmale.Checked = True Then
            Label12.Text = "Male"

        ElseIf radfemale.Checked = True Then
            Label12.Text = "Female"
        End If
    End Sub

    Private Sub radinmfemale_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radfemale.CheckedChanged
        If radfemale.Checked = True Then
            Label12.Text = "Female"

        ElseIf radmale.Checked = True Then
            Label12.Text = "Male"
        End If
    End Sub

    Private Sub btnupdate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnupdate.Click
        Try
            sql = "UPDATE tbladdinmates SET CASENUMBER='" & txtcaseno.Text & "',CASENAME='" & txtcasename.Text & "',FULLNAME='" & txtfullname.Text & "', AGE='" & txtage.Text & "',GENDER='" & Label12.Text & "',ADDRESS='" & txtaddress.Text & "',STATUS='" & cmbstatus.Text & "',DATEBIRTH='" & DateTimePicker1.Text & "' WHERE ID=" & Me.Text
            conn.Open()
            With cmd
                .CommandText = sql
                .Connection = conn
            End With

            result = cmd.ExecuteNonQuery
            If result > 0 Then
                MsgBox("NEW INMATES HAS BEEN UPDATED!")
                conn.Close()
                Call btninmload_Click(sender, e)
                txtcaseno.Clear()
                txtcasename.Clear()
                txtfullname.Clear()
                txtaddress.Clear()
                txtage.Clear()
                cmbstatus.Text = Nothing
                radmale.Checked = Nothing
                radfemale.Checked = Nothing
                Me.Text = Nothing
                PictureBox1.Image = Nothing
            Else
                MsgBox("NO INMATES HASS BEEN UPDATED!")
            End If

        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            conn.Close()


        End Try
    End Sub

    Private Sub dtglistinmates_DataSourceChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles dtglistinmates.DataSourceChanged
        dtglistinmates.Columns("ID").Visible = False
    End Sub
    Private Sub dtginmates_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles dtglistinmates.DoubleClick
        Me.Text = dtglistinmates.CurrentRow.Cells("ID").Value.ToString
        txtcaseno.Text = dtglistinmates.CurrentRow.Cells("CASENUMBER").Value.ToString
        txtcasename.Text = dtglistinmates.CurrentRow.Cells("CASENAME").Value.ToString
        txtfullname.Text = dtglistinmates.CurrentRow.Cells("FULLNAME").Value.ToString
        txtage.Text = dtglistinmates.CurrentRow.Cells("AGE").Value.ToString
        radmale.Checked = "Male" = dtglistinmates.CurrentRow.Cells("GENDER").Value.ToString
        radfemale.Checked = "Female" = dtglistinmates.CurrentRow.Cells("GENDER").Value.ToString
        txtaddress.Text = dtglistinmates.CurrentRow.Cells("ADDRESS").Value.ToString
        cmbstatus.Text = dtglistinmates.CurrentRow.Cells("STATUS").Value.ToString
        DateTimePicker1.Text = dtglistinmates.CurrentRow.Cells("DATEBIRTH").Value.ToString
        Dim arrImage As Byte()
        arrImage = dtglistinmates.CurrentRow.Cells("studimg").Value
        Dim mstream As New System.IO.MemoryStream(arrImage)
        PictureBox1.Image = Image.FromStream(mstream)

    End Sub

    Private Sub AddingInmates_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

    End Sub

    Private Sub btninmdelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btndelete.Click
        Try
            sql = "Delete * FROM tbladdinmates where ID=" & Me.Text
            conn.Open()
            With cmd
                .CommandText = sql
                .Connection = conn
            End With

            result = cmd.ExecuteNonQuery
            If result > 0 Then
                MsgBox("INMATES RECORD HAS BEEN DELETED!")
                conn.Close()
                Call btninmload_Click(sender, e)
                txtcaseno.Clear()
                txtcasename.Clear()
                txtfullname.Clear()
                txtaddress.Clear()
                txtage.Clear()
                cmbstatus.Text = Nothing
                radmale.Checked = Nothing
                radfemale.Checked = Nothing
                Me.Text = Nothing
                DateTimePicker1.Text = Nothing
                PictureBox1.Image = Nothing
            Else
                MsgBox("NO INMATES RECORD HAS BEEN DELETED!")
            End If

        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            conn.Close()


        End Try
    End Sub

    'Private Sub TextBox1_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextBox1.TextChanged
    '    dt = New DataTable
    '    Try
    '        sql = "SELECT * FROM tbladdinmates where FULLNAME like  '%" & TextBox1.Text & "%'"
    '        'If conn.State = ConnectionState.Open Then conn.Close()
    '        conn.Open()
    '        With cmd
    '            .CommandText = sql
    '            .Connection = conn
    '        End With

    '        da.SelectCommand = cmd
    '        da.Fill(dt)
    '        dtglistinmates.DataSource = dt


    '    Catch ex As Exception
    '        MsgBox(ex.Message)
    '    Finally
    '        conn.Close()


    '    End Try
    'End Sub

    Private Sub DateTimePicker1_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DateTimePicker1.ValueChanged
        Dim d1, d2 As Date
        Dim days, months, years As Long

        d1 = DateTimePicker1.Value.ToShortDateString
        d2 = Now.ToShortDateString

        years = Year(d1)
        months = Month(d2) - months
        days = d1.Day

        years = Year(d2) - years
        months = Month(d2) - months
        days = d2.Day - days


        If Math.Sign(days) = -1 Then
            days = 30 - Math.Abs(days)
            months = months - 1

        End If

        If Math.Sign(months) = -1 Then
            months = 12 = -Math.Abs(months)
            years = years - 1
        End If
        txtage.Text = years.ToString
    End Sub

    Private Sub GroupBox1_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GroupBox1.Enter

    End Sub

    Private Sub txtfullname_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtfullname.TextChanged

    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        OpenFileDialog1.Title = "Select to updload"
        OpenFileDialog1.ShowDialog()

        PictureBox1.ImageLocation = OpenFileDialog1.FileName.ToString
        PictureBox1.Visible = True
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        txtcaseno.Clear()
        txtcasename.Clear()
        txtfullname.Clear()
        txtaddress.Clear()
        txtage.Clear()
        cmbstatus.Text = Nothing
        radmale.Checked = Nothing
        radfemale.Checked = Nothing
        Me.Text = Nothing
        DateTimePicker1.Text = Nothing
        PictureBox1.Image = Nothing
        txtcaseno.Focus()
    End Sub

    Private Sub dtglistinmates_CellContentClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dtglistinmates.CellContentClick

    End Sub
End Class