﻿Public Class addjailguards

    Private Sub btnload_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnload.Click
        dt = New DataTable
        Try
            sql = "SELECT * FROM tbladdjailguards"
            conn.Open()
            With cmd
                .CommandText = sql
                .Connection = conn
            End With
            da.SelectCommand = cmd
            da.Fill(dt)
            dtgjailguards.DataSource = dt
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            conn.Close()
        End Try
    End Sub

    Private Sub btnsave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnsave.Click
        Try
            sql = "INSERT INTO  tbladdjailguards(IDNUMBER,FULLNAME,ADDRESS,DATEOFBIRTH,AGE,GENDER,STATUS) VALUES ('" & txtidno.Text & "','" & txtfullname.Text & "','" & txtaddress.Text & "','" & dtpdateofbirth.Text & "','" & txtage.Text & "','" & Label8.Text & "','" & cmbstatus.Text & "')"

            conn.Open()

            With cmd
                .CommandText = sql
                .Connection = conn
            End With
            result = cmd.ExecuteNonQuery
            If result > 0 Then
                MsgBox("NEW JAIL GUARDS HAS BEEN SAVED!")
                conn.Close()
                Call btnload_Click(sender, e)
                txtidno.Clear()
                txtfullname.Clear()
                dtpdateofbirth.Text = Nothing
                txtaddress.Clear()
                txtage.Clear()
                radfemale.Checked = Nothing
                radmale.Checked = Nothing
                cmbstatus.Text = Nothing
            Else
                MsgBox("NO JAIL GUARDS HAS BEEN SAVED!")
            End If
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            conn.Close()
        End Try
    End Sub

    Private Sub radmale_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radmale.CheckedChanged
        If radmale.Checked = True Then
            Label8.Text = "Male"

        ElseIf radfemale.Checked = True Then
            Label8.Text = "Female"
        End If
    End Sub

    Private Sub radfemale_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radfemale.CheckedChanged
        If radfemale.Checked = True Then
            Label8.Text = "Female"

        ElseIf radmale.Checked = True Then
            Label8.Text = "Male"
        End If
    End Sub

    Private Sub dtpdateofbirth_ValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dtpdateofbirth.ValueChanged
        Dim d1, d2 As Date
        Dim days, months, years As Long

        d1 = dtpdateofbirth.Value.ToShortDateString
        d2 = Now.ToShortDateString

        years = Year(d1)
        months = Month(d2) - months
        days = d1.Day

        years = Year(d2) - years
        months = Month(d2) - months
        days = d2.Day - days


        If Math.Sign(days) = -1 Then
            days = 30 - Math.Abs(days)
            months = months - 1

        End If

        If Math.Sign(months) = -1 Then
            months = 12 = -Math.Abs(months)
            years = years - 1
        End If
        txtage.Text = years.ToString
    End Sub

    Private Sub btnupdate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnupdate.Click
        Try
            sql = "UPDATE tbladdjailguards SET IDNUMBER='" & txtidno.Text & "',FULLNAME='" & txtfullname.Text & "',ADDRESS='" & txtaddress.Text & "',DATEOFBIRTH='" & dtpdateofbirth.Text & "',AGE='" & txtage.Text & "',GENDER='" & Label8.Text & "',STATUS='" & cmbstatus.Text & "' WHERE ID=" & Me.Text
            conn.Open()
            With cmd
                .CommandText = sql
                .Connection = conn
            End With

            result = cmd.ExecuteNonQuery
            If result > 0 Then
                MsgBox("NEW JAIL GUARDS HAS BEEN UPDATED!")
                conn.Close()
                Call btnload_Click(sender, e)
                txtidno.Clear()
                txtfullname.Clear()
                txtaddress.Clear()
                dtpdateofbirth.Text = Nothing
                txtage.Clear()
                radfemale.Checked = Nothing
                radmale.Checked = Nothing
                cmbstatus.Text = Nothing
            Else
                MsgBox("NO JAIL GUARDS HAS BEEN UPDATED!")
            End If

        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            conn.Close()


        End Try
    End Sub

    Private Sub dtgjailguards_CellContentClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dtgjailguards.CellContentClick

    End Sub

    Private Sub dtgjailguards_DataSourceChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles dtgjailguards.DataSourceChanged
        dtgjailguards.Columns("ID").Visible = False
    End Sub

    Private Sub dtgjailguards_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles dtgjailguards.DoubleClick
        Me.Text = dtgjailguards.CurrentRow.Cells("ID").Value.ToString
        txtidno.Text = dtgjailguards.CurrentRow.Cells("IDNUMBER").Value.ToString
        txtfullname.Text = dtgjailguards.CurrentRow.Cells("FULLNAME").Value.ToString
        txtaddress.Text = dtgjailguards.CurrentRow.Cells("ADDRESS").Value.ToString
        dtpdateofbirth.Text = dtgjailguards.CurrentRow.Cells("DATEOFBIRTH").Value.ToString
        txtage.Text = dtgjailguards.CurrentRow.Cells("AGE").Value.ToString
        radmale.Checked = "Male" = dtgjailguards.CurrentRow.Cells("GENDER").Value.ToString
        radfemale.Checked = "Female" = dtgjailguards.CurrentRow.Cells("GENDER").Value.ToString
        cmbstatus.Text = dtgjailguards.CurrentRow.Cells("STATUS").Value.ToString
    End Sub

    Private Sub btndelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btndelete.Click
        Try
            sql = "Delete * FROM tbladdjailguards where ID=" & Me.Text
            conn.Open()
            With cmd
                .CommandText = sql
                .Connection = conn
            End With

            result = cmd.ExecuteNonQuery
            If result > 0 Then
                MsgBox("JailGuards record has been deleted!")
                conn.Close()
                Call btnload_Click(sender, e)
                txtidno.Clear()
                txtfullname.Clear()
                txtaddress.Clear()
                dtpdateofbirth.Text = Nothing
                txtage.Clear()
                radfemale.Checked = Nothing
                radmale.Checked = Nothing
                cmbstatus.Text = Nothing
            Else
                MsgBox("JailGuards record has been deleted!")
            End If

        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            conn.Close()


        End Try
    End Sub

    Private Sub btnaddnew_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnaddnew.Click
        txtidno.Clear()
        txtfullname.Clear()
        txtaddress.Clear()
        dtpdateofbirth.Text = Nothing
        txtage.Clear()
        radfemale.Checked = Nothing
        radmale.Checked = Nothing
        cmbstatus.Text = Nothing
        txtidno.Focus()
    End Sub
End Class