﻿Public Class transactioninmates

    Dim myconnection As String = ("Provider=Microsoft.ACE.OLEDB.12.0;Data Source=" & Application.StartupPath & "\dbfinalsystemJMS.accdb")
    Dim arrImage As Byte()

    Private Sub btnload_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnload.Click
        dt = New DataTable
        Try
            sql = "SELECT * FROM tbltransactioninmates"
            conn.Open()
            With cmd
                .CommandText = sql
                .Connection = conn
            End With
            da.SelectCommand = cmd
            da.Fill(dt)
            dtglisttransactioninmates.DataSource = dt
        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            conn.Close()
        End Try
    End Sub

    Private Sub cmbfullname_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmbfullname.SelectedIndexChanged

        conn.Open()
        Try
            cmd = New OleDb.OleDbCommand("SELECT * FROM tbladdinmates WHERE FULLNAME ='" & cmbfullname.Text & "'", conn)
            Dim DbReader As OleDb.OleDbDataReader
            DbReader = cmd.ExecuteReader
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try


        Try
            cmd = New OleDb.OleDbCommand("SELECT * FROM tbladdinmates WHERE FULLNAME='" & cmbfullname.Text & "'", conn)
            Dim DbReader As OleDb.OleDbDataReader
            Dim arrImage() As Byte
            DbReader = cmd.ExecuteReader
            While DbReader.Read
                txtcaseno.Text = DbReader("CASENUMBER")
                txtcasename.Text = DbReader("CASENAME")
                txtage.Text = DbReader("AGE")
                radmale.Checked = "Male" = DbReader("GENDER")
                radfemale.Checked = "Female" = DbReader("GENDER")
                txtaddress.Text = DbReader("ADDRESS")
                cmbstatus.Text = DbReader("STATUS")
                dtpbirthdate.Text = DbReader("DATEBIRTH")
                arrImage = DbReader("studimg")

                Dim mstream As New System.IO.MemoryStream(arrImage)
                PictureBox1.Image = Image.FromStream(mstream)

                cmbcellno.Text = Nothing
                cmbjailguard.Text = Nothing
                cmbtimevisit.Text = Nothing
                dtpentereddate.Text = Nothing
                txtnoofyears.Clear()
            End While
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try

        conn.Close()

    End Sub

    Private Sub transactioninmates_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        conn.Open()
        Try
            cmd = New OleDb.OleDbCommand("SELECT * FROM tbladdinmates", conn)
            Dim DbReader As OleDb.OleDbDataReader

            DbReader = cmd.ExecuteReader
            While DbReader.Read
                cmbfullname.Items.Add(DbReader("FULLNAME").ToString)
            End While
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try

        Try
            cmd = New OleDb.OleDbCommand("SELECT * FROM tbladdjailguards", conn)
            Dim DbReader As OleDb.OleDbDataReader

            DbReader = cmd.ExecuteReader
            While DbReader.Read
                cmbjailguard.Items.Add(DbReader("FULLNAME").ToString)
            End While
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
        conn.Close()
    End Sub

    Private Sub btnsave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnsave.Click
        Try
            Dim mstream As New System.IO.MemoryStream
            PictureBox1.Image.Save(mstream, System.Drawing.Imaging.ImageFormat.Jpeg)
            arrImage = mstream.GetBuffer
            Dim filesize As UInt32
            filesize = mstream.Length
            mstream.Close()
            conn.ConnectionString = myconnection
            conn.Open()
            sql = "Insert Into tbltransactioninmates(CASENUMBER,CASENAME,FULLNAME,DATEBIRTH,AGE,GENDER,ADDRESS,STATUS,CELL_NUMBER,DATE_ENTERED,JAILGUARD,TIMEVISIT,NO_OF_YEARS,studimg)" & _
            "Values (@CASENUMBER,@CASENAME,@FULLNAME,@DATEBIRTH,@AGE,@GENDER,@ADDRESS,@STATUS,@CELL_NUMBER,@DATE_ENTERED,@JAILGUARD,@TIMEVISIT,@NO_OF_YEARS,@studimg)"
            cmd.Connection = conn
            cmd.CommandText = sql
            cmd.Parameters.AddWithValue("@CASENUMBER", txtcaseno.Text)
            cmd.Parameters.AddWithValue("@CASENAME", txtcasename.Text)
            cmd.Parameters.AddWithValue("@FULLNAME", cmbfullname.Text)
            cmd.Parameters.AddWithValue("@DATEBIRTH", dtpbirthdate.Text)
            cmd.Parameters.AddWithValue("@AGE", txtage.Text)
            cmd.Parameters.AddWithValue("@GENDER", Label13.Text)
            cmd.Parameters.AddWithValue("@ADDRESS", txtaddress.Text)
            cmd.Parameters.AddWithValue("@STATUS", cmbstatus.Text)
            cmd.Parameters.AddWithValue("@CELL_NUMBER", cmbcellno.Text)
            cmd.Parameters.AddWithValue("@DATE_ENTERED", dtpentereddate.Text)
            cmd.Parameters.AddWithValue("@JAILGUARD", cmbjailguard.Text)
            cmd.Parameters.AddWithValue("@TIMEVISIT", cmbtimevisit.Text)
            cmd.Parameters.AddWithValue("@NO_OF_YEARS", txtnoofyears.Text)
            cmd.Parameters.AddWithValue("@studimg", arrImage)

            Dim R As Integer
            R = cmd.ExecuteNonQuery
            If R > 0 Then
                MsgBox("NEW INMATES HAS BEEN SAVED")
                conn.Close()
                Call btnload_Click(sender, e)
                txtcaseno.Clear()
                txtcasename.Clear()
                cmbfullname.Text = Nothing
                txtaddress.Clear()
                txtage.Clear()
                cmbstatus.Text = Nothing
                radmale.Checked = Nothing
                radfemale.Checked = Nothing
                dtpentereddate.Text = Nothing
                cmbjailguard.Text = Nothing
                cmbtimevisit.Text = Nothing
                cmbcellno.Text = Nothing
                txtnoofyears.Clear()
                PictureBox1.Image = Nothing
            Else
                MsgBox("NO INMATES HAS BEEN SAVED")

            End If
            da.Dispose()
            conn.Close()

        Catch ex As Exception

        End Try


        'Try
        '    sql = "INSERT INTO  tbltransactioninmates(CASENUMBER,CASENAME,CELL_NUMBER,FULLNAME,AGE,GENDER,ADDRESS,STATUS,DATE_ENTERED,JAILGUARD,TIMEVISIT,NO_OF_YEARS) VALUES ('" & txtcaseno.Text & "','" & txtcasename.Text & "','" & cmbcellno.Text & "','" & cmbfullname.Text & "','" & txtage.Text & "','" & Label13.Text & "','" & txtaddress.Text & "','" & cmbstatus.Text & "','" & dtpentereddate.Text & "','" & cmbjailguard.Text & "','" & cmbtimevisit.Text & "','" & txtnoofyears.Text & "')"

        '    conn.Open()

        '    With cmd
        '        .CommandText = sql
        '        .Connection = conn
        '    End With
        '    result = cmd.ExecuteNonQuery
        '    If result > 0 Then
        '        MsgBox("NEW RECORD HAS BEEN SAVED!")
        '        conn.Close()
        '        Call btnload_Click(sender, e)
        '        txtcaseno.Clear()
        '        txtcasename.Clear()
        '        cmbfullname.Text = Nothing
        '        txtaddress.Clear()
        '        txtage.Clear()
        '        cmbstatus.Text = Nothing
        '        radmale.Checked = Nothing
        '        radfemale.Checked = Nothing
        '        dtpentereddate.Text = Nothing
        '        cmbjailguard.Text = Nothing
        '        cmbtimevisit.Text = Nothing
        '        cmbcellno.Text = Nothing
        '        txtnoofyears.Clear()
        '        PictureBox1.Image = Nothing
        '    Else
        '        MsgBox("NO RECORD HAS BEEN SAVED!")
        '    End If
        'Catch ex As Exception
        '    MsgBox(ex.Message)
        'Finally
        '    conn.Close()
        'End Try
    End Sub

    Private Sub radmale_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radmale.CheckedChanged
        If radmale.Checked = True Then
            Label13.Text = "Male"

        ElseIf radfemale.Checked = True Then
            Label13.Text = "Female"
        End If
    End Sub

    Private Sub radfemale_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles radfemale.CheckedChanged
        If radfemale.Checked = True Then
            Label13.Text = "Female"

        ElseIf radmale.Checked = True Then
            Label13.Text = "Male"
        End If
    End Sub

    Private Sub btnupdate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnupdate.Click
        Try
            sql = "UPDATE tbltransactioninmates SET CASENUMBER='" & txtcaseno.Text & "',CASENAME='" & txtcasename.Text & "',CELL_NUMBER='" & cmbcellno.Text & "',DATE_ENTERED='" & dtpentereddate.Text & "',FULLNAME='" & cmbfullname.Text & "', AGE='" & txtage.Text & "',GENDER='" & Label13.Text & "',ADDRESS='" & txtaddress.Text & "',STATUS='" & cmbstatus.Text & "',JAILGUARD='" & txtcaseno.Text & "',TIMEVISIT='" & cmbtimevisit.Text & "',NO_OF_YEARS='" & txtnoofyears.Text & "' WHERE ID=" & Me.Text
            conn.Open()
            With cmd
                .CommandText = sql
                .Connection = conn
            End With

            result = cmd.ExecuteNonQuery
            If result > 0 Then
                MsgBox("NEW RECORD HAS BEEN UPDATED!")
                conn.Close()
                Call btnload_Click(sender, e)
                txtcaseno.Clear()
                txtcasename.Clear()
                cmbfullname.Text = Nothing
                txtaddress.Clear()
                txtage.Clear()
                cmbstatus.Text = Nothing
                radmale.Checked = Nothing
                radfemale.Checked = Nothing
                dtpentereddate.Text = Nothing
                cmbjailguard.Text = Nothing
                cmbtimevisit.Text = Nothing
                cmbcellno.Text = Nothing
                txtnoofyears.Clear()
                PictureBox1.Image = Nothing
            Else
                MsgBox("NO RECORD HASS BEEN UPDATED!")
            End If

        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            conn.Close()


        End Try
    End Sub

    Private Sub dtglisttransactioninmates_DataSourceChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles dtglisttransactioninmates.DataSourceChanged
        dtglisttransactioninmates.Columns("ID").Visible = False
    End Sub
    Private Sub dtglisttransactioninmates_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles dtglisttransactioninmates.DoubleClick
        Me.Text = dtglisttransactioninmates.CurrentRow.Cells("ID").Value.ToString
        txtcaseno.Text = dtglisttransactioninmates.CurrentRow.Cells("CASENUMBER").Value.ToString
        txtcasename.Text = dtglisttransactioninmates.CurrentRow.Cells("CASENAME").Value.ToString
        cmbfullname.Text = dtglisttransactioninmates.CurrentRow.Cells("FULLNAME").Value.ToString
        txtage.Text = dtglisttransactioninmates.CurrentRow.Cells("AGE").Value.ToString
        radmale.Checked = "Male" = dtglisttransactioninmates.CurrentRow.Cells("GENDER").Value.ToString
        radfemale.Checked = "Female" = dtglisttransactioninmates.CurrentRow.Cells("GENDER").Value.ToString
        txtaddress.Text = dtglisttransactioninmates.CurrentRow.Cells("ADDRESS").Value.ToString
        cmbstatus.Text = dtglisttransactioninmates.CurrentRow.Cells("STATUS").Value.ToString
        cmbcellno.Text = dtglisttransactioninmates.CurrentRow.Cells("CELL_NUMBER").Value.ToString
        dtpentereddate.Text = dtglisttransactioninmates.CurrentRow.Cells("DATE_ENTERED").Value.ToString
        cmbjailguard.Text = dtglisttransactioninmates.CurrentRow.Cells("JAILGUARD").Value.ToString
        cmbtimevisit.Text = dtglisttransactioninmates.CurrentRow.Cells("TIMEVISIT").Value.ToString
        txtnoofyears.Text = dtglisttransactioninmates.CurrentRow.Cells("NO_OF_YEARS").Value.ToString
        dtpbirthdate.Text = dtglisttransactioninmates.CurrentRow.Cells("DATEBIRTH").Value.ToString
    End Sub

    Private Sub btndelete_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btndelete.Click
        Try
            sql = "Delete * FROM tbltransactioninmates where ID=" & Me.Text
            conn.Open()
            With cmd
                .CommandText = sql
                .Connection = conn
            End With

            result = cmd.ExecuteNonQuery
            If result > 0 Then
                MsgBox("Inmates record has been deleted!")
                conn.Close()
                Call btnload_Click(sender, e)
                txtcaseno.Clear()
                txtcasename.Clear()
                cmbfullname.Text = Nothing
                txtaddress.Clear()
                txtage.Clear()
                cmbstatus.Text = Nothing
                radmale.Checked = Nothing
                radfemale.Checked = Nothing
                dtpentereddate.Text = Nothing
                cmbjailguard.Text = Nothing
                cmbtimevisit.Text = Nothing
                cmbcellno.Text = Nothing
                txtnoofyears.Clear()
                PictureBox1.Image = Nothing
            Else
                MsgBox("Inmates record has been deleted!")
            End If

        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            conn.Close()


        End Try
    End Sub

    Private Sub txtsearchname_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtsearchname.TextChanged
        dt = New DataTable
        Try
            sql = "SELECT * FROM tbltransactioninmates where FULLNAME like  '%" & txtsearchname.Text & "%'"
            'If conn.State = ConnectionState.Open Then conn.Close()
            conn.Open()
            With cmd
                .CommandText = sql
                .Connection = conn
            End With

            da.SelectCommand = cmd
            da.Fill(dt)
            dtglisttransactioninmates.DataSource = dt


        Catch ex As Exception
            MsgBox(ex.Message)
        Finally
            conn.Close()


        End Try
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        txtcaseno.Clear()
        txtcasename.Clear()
        cmbfullname.Text = Nothing
        txtaddress.Clear()
        txtage.Clear()
        cmbstatus.Text = Nothing
        radmale.Checked = Nothing
        radfemale.Checked = Nothing
        dtpentereddate.Text = Nothing
        cmbjailguard.Text = Nothing
        cmbtimevisit.Text = Nothing
        cmbcellno.Text = Nothing
        txtnoofyears.Clear()
        PictureBox1.Image = Nothing
        cmbfullname.Focus()
    End Sub

    Private Sub cmbjailguard_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmbjailguard.SelectedIndexChanged
        conn.Open()
        Try
            cmd = New OleDb.OleDbCommand("SELECT * FROM tbladdjailguards WHERE FULLNAME='" & cmbfullname.Text & "'", conn)
            Dim DbReader As OleDb.OleDbDataReader
            DbReader = cmd.ExecuteReader
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
        conn.Close()
    End Sub

    Private Sub dtglisttransactioninmates_CellContentClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dtglisttransactioninmates.CellContentClick

    End Sub
End Class